@ECHO OFF
REM
REM Knights of Legend (1989)
REM
:START
CHOICE /N /C:ceth Start game in (C)GA (E)GA (T)andy or (H)ercules :
IF ERRORLEVEL 1 set GRAPHICS=c
IF ERRORLEVEL 2 set GRAPHICS=e
IF ERRORLEVEL 3 set GRAPHICS=t
IF ERRORLEVEL 4 set GRAPHICS=h
ECHO.
IF %GRAPHICS% == c GOTO CGA
IF %GRAPHICS% == h GOTO HCGA
:CGA
IF NOT EXIST BACKPCGA.0 MAKEMODE.EXE
GOTO GAME
:HCGA
IF NOT EXIST BACKHERC.0 MAKEMODE.EXE
:GAME
KOL.EXE %GRAPHICS%